### Function

# Gck Attribute new_empty

#### Declaration [src]

    GckAttribute*
    gck_attribute_new_empty (
      gulong attr_type
    )

#### Description [src]

Create a new PKCS#11 attribute with empty data.

#### Parameters

`attr_type`

  Type: `gulong`

  The PKCS#11 attribute type to set on the attribute.

#### Return value

Type: `GckAttribute`

The new attribute; when done with the attribute use `gck_attribute_free()` to free it.

The caller of the function takes ownership of the data, and is responsible for freeing it.